com.fasterxml.jackson.databind

## Class BeanProperty.Std

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Std

All Implemented Interfaces:
  BeanProperty, Named

Direct Known Subclasses:
  ValueInjector

Enclosing interface:
  BeanProperty

    public static class BeanProperty.Std
    extends Object
    implements BeanProperty

Simple stand-alone implementation, useful as a placeholder or base class for more complex implementations.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`BeanProperty.Std`

### Field Summary

Fields
`protected Annotations` `_contextAnnotations` Annotations defined in the context class (if any); may be null if no annotations were found
`protected AnnotatedMember` `_member` Physical entity (field, method or constructor argument) that is used to access value of property (or in case of constructor property, just placeholder)
`protected PropertyMetadata` `_metadata`
`protected PropertyName` `_name`
`protected JavaType` `_type`
`protected PropertyName` `_wrapperName`

### Constructor Summary

Constructors
Constructor and Description
`BeanProperty.Std(PropertyName name, JavaType type, PropertyName wrapperName, Annotations contextAnnotations, AnnotatedMember member, PropertyMetadata metadata)`
`BeanProperty.Std(String name, JavaType type, PropertyName wrapperName, Annotations contextAnnotations, AnnotatedMember member, boolean isRequired)` Deprecated.

### Method Summary

Methods
`void` `depositSchemaProperty(JsonObjectFormatVisitor objectVisitor)` Implementation of this method throws `UnsupportedOperationException`, since instances of this implementation should not be used as part of actual structure visited.
`<A extends Annotation> A` `getAnnotation(Class<A> acls)` Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
`<A extends Annotation> A` `getContextAnnotation(Class<A> acls)` Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).
`PropertyName` `getFullName()` Method for getting full name definition, including possible format-specific additional properties (such as namespace when using XML backend).
`AnnotatedMember` `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
`PropertyMetadata` `getMetadata()` Accessor for additional optional information about property.
`String` `getName()` Method to get logical name of the property
`JavaType` `getType()` Method to get declared type of the property.
`PropertyName` `getWrapperName()` If property is indicated to be wrapped, name of wrapper element to use.
`boolean` `isRequired()` Whether value for property is marked as required using annotations or associated schema.
`BeanProperty.Std` `withType(JavaType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _name

    protected final PropertyName _name

#### _type

    protected final JavaType _type

#### _wrapperName

    protected final PropertyName _wrapperName

#### _metadata

    protected final PropertyMetadata _metadata

#### _member

    protected final AnnotatedMember _member

Physical entity (field, method or constructor argument) that is used to access value of property (or in case of constructor property, just placeholder)

#### _contextAnnotations

    protected final Annotations _contextAnnotations

Annotations defined in the context class (if any); may be null if no annotations were found

### Constructor Detail

#### BeanProperty.Std

    public BeanProperty.Std(PropertyName name,
                    JavaType type,
                    PropertyName wrapperName,
                    Annotations contextAnnotations,
                    AnnotatedMember member,
                    PropertyMetadata metadata)

#### BeanProperty.Std

    @Deprecated
    public BeanProperty.Std(String name,
                               JavaType type,
                               PropertyName wrapperName,
                               Annotations contextAnnotations,
                               AnnotatedMember member,
                               boolean isRequired)

Deprecated.

### Method Detail

#### withType

    public BeanProperty.Std withType(JavaType type)

#### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> acls)

Description copied from interface: `BeanProperty`
Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.

Specified by:
  `getAnnotation` in interface `BeanProperty`

#### getContextAnnotation

    public <A extends Annotation> A getContextAnnotation(Class<A> acls)

Description copied from interface: `BeanProperty`
Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).

Specified by:
  `getContextAnnotation` in interface `BeanProperty`

#### getName

    public String getName()

Description copied from interface: `BeanProperty`
Method to get logical name of the property

Specified by:
  `getName` in interface `BeanProperty`
Specified by:
  `getName` in interface `Named`

#### getFullName

    public PropertyName getFullName()

Description copied from interface: `BeanProperty`
Method for getting full name definition, including possible format-specific additional properties (such as namespace when using XML backend).

Specified by:
  `getFullName` in interface `BeanProperty`

#### getType

    public JavaType getType()

Description copied from interface: `BeanProperty`
Method to get declared type of the property.

Specified by:
  `getType` in interface `BeanProperty`

#### getWrapperName

    public PropertyName getWrapperName()

Description copied from interface: `BeanProperty`
If property is indicated to be wrapped, name of wrapper element to use.

Specified by:
  `getWrapperName` in interface `BeanProperty`

#### isRequired

    public boolean isRequired()

Description copied from interface: `BeanProperty`
Whether value for property is marked as required using annotations or associated schema.

Specified by:
  `isRequired` in interface `BeanProperty`

#### getMetadata

    public PropertyMetadata getMetadata()

Description copied from interface: `BeanProperty`
Accessor for additional optional information about property.

Specified by:
  `getMetadata` in interface `BeanProperty`

#### getMember

    public AnnotatedMember getMember()

Description copied from interface: `BeanProperty`
Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.

Specified by:
  `getMember` in interface `BeanProperty`

#### depositSchemaProperty

    public void depositSchemaProperty(JsonObjectFormatVisitor objectVisitor)

Implementation of this method throws `UnsupportedOperationException`, since instances of this implementation should not be used as part of actual structure visited. Rather, other implementations should handle it.

Specified by:
  `depositSchemaProperty` in interface `BeanProperty`
Parameters:
  `objectVisitor` - Visitor to used as the callback handler